@import url('https://fonts.googleapis.com/css2?family=Lato&display=swap');

*{
    box-sizing: border-box;
}

html {
  font-size: 62.5%;
}

body {
    font-family: 'Lato', 'san-serif';
    font-size: 1.6rem;
    font-weight: normal;
    overflow-x: hidden;
    background-color: #333;
    color: #222;
    margin: 0;
}

.container {
    background-color: #fafafa;
    transform-origin: top left;
    transition: transform 0.5s linear;
    width: 100vw;
    min-height: 100vh;
    padding: 5rem;
}

.container.show-nav {
    transform: rotate(-20deg);
}

.circle-container {
    position: fixed;
    top: -10rem;
    left: -10rem;
}

.circle {
    background-color: #ff7979;
    height: 20rem;
    width: 20rem;
    border-radius: 50%;
    position: relative;
    transition: transform 0.5s linear;
}

.container.show-nav .circle{
    transform: rotate(-70deg);
}

.circle button {
    cursor: pointer;
    position: absolute;
    top: 50%;
    left: 50%;
    height: 10rem;
    background: transparent;
    border: 0;
    font-size: 26px;
    color: #fff;
}

.circle button:focus {
    outline: none;
}

.circle button#open {
    left: 60%;
}

.circle button#close {
    top: 60%;
    transform: rotate(90deg);
    transform-origin: top left;
}

.container.show-nav + nav li {
    transform: translateX(0);
    transition-delay: 0.3s;
}

nav {
    position: fixed;
    bottom: 4rem;
    left: 0;
    z-index: 100;
}

nav ul {
    list-style-type: none;
    padding-left: 3rem;
}

nav ul li {
    text-transform: uppercase;
    color: #fff;
    margin: 4rem 0;
    transform: translateX(-100%);
    transition: transform 0.4s linear;
}

nav ul li i {
    font-size: 2rem;
    margin-right: 1rem;
}

nav ul li + li {
    margin-left: 1.5rem;
    transform: translateX(-150%);

}

nav ul li + li + li {
    margin-left: 3rem;
    transform: translateX(-200%);
}

.content img {
    max-width: 100%;
}

.content {
    max-width: 100rem;
    margin: 5rem auto;
}

.content small {
    color: #555;
    font-size: italic;
}

.content p {
    color: #333;
    line-height: 1.5;
}
